import{s as ot,o as nt,n as it}from"../chunks/scheduler.8c3d61f6.js";import{S as dt,i as lt,g as d,s as r,r as p,A as at,h as l,f as s,c as o,j as S,u as m,x as v,k as M,y as t,a as c,v as f,d as h,t as g,w as _}from"../chunks/index.da70eac4.js";import{T as ut}from"../chunks/Tip.1d9b8c37.js";import{D}from"../chunks/Docstring.ee4b6913.js";import{H as Be,E as ct}from"../chunks/EditOnGithub.1e64e623.js";function pt(le){let u,E=`The algorithm and model type are decoupled. You can use either DPMSolver or DPMSolver++ for both noise
prediction and data prediction models.`;return{c(){u=d("p"),u.textContent=E},l(b){u=l(b,"P",{"data-svelte-h":!0}),v(u)!=="svelte-95n5s"&&(u.textContent=E)},m(b,R){c(b,u,R)},p:it,d(b){b&&s(u)}}}function mt(le){let u,E,b,R,I,ae,A,Fe=`The <a href="/docs/diffusers/main/en/api/schedulers/cosine_dpm#diffusers.CosineDPMSolverMultistepScheduler">CosineDPMSolverMultistepScheduler</a> is a variant of <a href="/docs/diffusers/main/en/api/schedulers/multistep_dpm_solver#diffusers.DPMSolverMultistepScheduler">DPMSolverMultistepScheduler</a> with cosine schedule, proposed by Nichol and Dhariwal (2021).
It is being used in the <a href="https://arxiv.org/abs/2407.14358" rel="nofollow">Stable Audio Open</a> paper and the <a href="https://github.com/Stability-AI/stable-audio-tool" rel="nofollow">Stability-AI/stable-audio-tool</a> codebase.`,ue,H,Ge='This scheduler was contributed by <a href="https://huggingface.co/ylacombe" rel="nofollow">Yoach Lacombe</a>.',ce,z,pe,n,N,Te,J,Ye=`Implements a variant of <code>DPMSolverMultistepScheduler</code> with cosine schedule, proposed by Nichol and Dhariwal (2021).
This scheduler was used in Stable Audio Open [1].`,Pe,K,Re='[1] Evans, Parker, et al. “Stable Audio Open” <a href="https://arxiv.org/abs/2407.14358" rel="nofollow">https://arxiv.org/abs/2407.14358</a>',Ce,Q,Je=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,ye,x,q,we,X,Ke=`Convert the model output to the corresponding type the DPMSolver/DPMSolver++ algorithm needs. DPM-Solver is
designed to discretize an integral of the noise prediction model, and DPM-Solver++ is designed to discretize an
integral of the data prediction model.`,Le,T,Oe,P,V,Ee,Z,Qe="One step for the first-order DPMSolver (equivalent to DDIM).",Ie,C,k,Ae,ee,Xe="One step for the second-order multistep DPMSolver.",He,y,j,ze,te,Ze=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep. Scales the denoising model input by <code>(sigma**2 + 1) ** 0.5</code> to match the Euler algorithm.`,Ne,w,U,qe,se,et="Sets the begin index for the scheduler. This function should be run from pipeline before the inference.",Ve,L,W,ke,re,tt="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",je,O,B,Ue,oe,st=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the multistep DPMSolver.`,me,F,fe,$,G,We,ne,rt="Base class for the output of a scheduler’s <code>step</code> function.",he,Y,ge,de,_e;return I=new Be({props:{title:"CosineDPMSolverMultistepScheduler",local:"cosinedpmsolvermultistepscheduler",headingTag:"h1"}}),z=new Be({props:{title:"CosineDPMSolverMultistepScheduler",local:"diffusers.CosineDPMSolverMultistepScheduler",headingTag:"h2"}}),N=new D({props:{name:"class diffusers.CosineDPMSolverMultistepScheduler",anchor:"diffusers.CosineDPMSolverMultistepScheduler",parameters:[{name:"sigma_min",val:": float = 0.3"},{name:"sigma_max",val:": float = 500"},{name:"sigma_data",val:": float = 1.0"},{name:"sigma_schedule",val:": str = 'exponential'"},{name:"num_train_timesteps",val:": int = 1000"},{name:"solver_order",val:": int = 2"},{name:"prediction_type",val:": str = 'v_prediction'"},{name:"rho",val:": float = 7.0"},{name:"solver_type",val:": str = 'midpoint'"},{name:"lower_order_final",val:": bool = True"},{name:"euler_at_final",val:": bool = False"},{name:"final_sigmas_type",val:": Optional = 'zero'"}],parametersDescription:[{anchor:"diffusers.CosineDPMSolverMultistepScheduler.sigma_min",description:`<strong>sigma_min</strong> (<code>float</code>, <em>optional</em>, defaults to 0.3) &#x2014;
Minimum noise magnitude in the sigma schedule. This was set to 0.3 in Stable Audio Open [1].`,name:"sigma_min"},{anchor:"diffusers.CosineDPMSolverMultistepScheduler.sigma_max",description:`<strong>sigma_max</strong> (<code>float</code>, <em>optional</em>, defaults to 500) &#x2014;
Maximum noise magnitude in the sigma schedule. This was set to 500 in Stable Audio Open [1].`,name:"sigma_max"},{anchor:"diffusers.CosineDPMSolverMultistepScheduler.sigma_data",description:`<strong>sigma_data</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014;
The standard deviation of the data distribution. This is set to 1.0 in Stable Audio Open [1].`,name:"sigma_data"},{anchor:"diffusers.CosineDPMSolverMultistepScheduler.sigma_schedule",description:`<strong>sigma_schedule</strong> (<code>str</code>, <em>optional</em>, defaults to <code>exponential</code>) &#x2014;
Sigma schedule to compute the <code>sigmas</code>. By default, we the schedule introduced in the EDM paper
(<a href="https://arxiv.org/abs/2206.00364" rel="nofollow">https://arxiv.org/abs/2206.00364</a>). Other acceptable value is &#x201C;exponential&#x201D;. The exponential schedule was
incorporated in this model: <a href="https://huggingface.co/stabilityai/cosxl" rel="nofollow">https://huggingface.co/stabilityai/cosxl</a>.`,name:"sigma_schedule"},{anchor:"diffusers.CosineDPMSolverMultistepScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.CosineDPMSolverMultistepScheduler.solver_order",description:`<strong>solver_order</strong> (<code>int</code>, defaults to 2) &#x2014;
The DPMSolver order which can be <code>1</code> or <code>2</code>. It is recommended to use <code>solver_order=2</code>.`,name:"solver_order"},{anchor:"diffusers.CosineDPMSolverMultistepScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>v_prediction</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.CosineDPMSolverMultistepScheduler.solver_type",description:`<strong>solver_type</strong> (<code>str</code>, defaults to <code>midpoint</code>) &#x2014;
Solver type for the second-order solver; can be <code>midpoint</code> or <code>heun</code>. The solver type slightly affects the
sample quality, especially for a small number of steps. It is recommended to use <code>midpoint</code> solvers.`,name:"solver_type"},{anchor:"diffusers.CosineDPMSolverMultistepScheduler.lower_order_final",description:`<strong>lower_order_final</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to use lower-order solvers in the final steps. Only valid for &lt; 15 inference steps. This can
stabilize the sampling of DPMSolver for steps &lt; 15, especially for steps &lt;= 10.`,name:"lower_order_final"},{anchor:"diffusers.CosineDPMSolverMultistepScheduler.euler_at_final",description:`<strong>euler_at_final</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use Euler&#x2019;s method in the final step. It is a trade-off between numerical stability and detail
richness. This can stabilize the sampling of the SDE variant of DPMSolver for small number of inference
steps, but sometimes may result in blurring.`,name:"euler_at_final"},{anchor:"diffusers.CosineDPMSolverMultistepScheduler.final_sigmas_type",description:`<strong>final_sigmas_type</strong> (<code>str</code>, defaults to <code>&quot;zero&quot;</code>) &#x2014;
The final <code>sigma</code> value for the noise schedule during the sampling process. If <code>&quot;sigma_min&quot;</code>, the final
sigma is the same as the last sigma in the training schedule. If <code>zero</code>, the final sigma is set to 0.`,name:"final_sigmas_type"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_cosine_dpmsolver_multistep.py#L28"}}),q=new D({props:{name:"convert_model_output",anchor:"diffusers.CosineDPMSolverMultistepScheduler.convert_model_output",parameters:[{name:"model_output",val:": Tensor"},{name:"sample",val:": Tensor = None"}],parametersDescription:[{anchor:"diffusers.CosineDPMSolverMultistepScheduler.convert_model_output.model_output",description:`<strong>model_output</strong> (<code>torch.Tensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.CosineDPMSolverMultistepScheduler.convert_model_output.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_cosine_dpmsolver_multistep.py#L297",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The converted model output.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.Tensor</code></p>
`}}),T=new ut({props:{$$slots:{default:[pt]},$$scope:{ctx:le}}}),V=new D({props:{name:"dpm_solver_first_order_update",anchor:"diffusers.CosineDPMSolverMultistepScheduler.dpm_solver_first_order_update",parameters:[{name:"model_output",val:": Tensor"},{name:"sample",val:": Tensor = None"},{name:"noise",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.CosineDPMSolverMultistepScheduler.dpm_solver_first_order_update.model_output",description:`<strong>model_output</strong> (<code>torch.Tensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.CosineDPMSolverMultistepScheduler.dpm_solver_first_order_update.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_cosine_dpmsolver_multistep.py#L329",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The sample tensor at the previous timestep.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.Tensor</code></p>
`}}),k=new D({props:{name:"multistep_dpm_solver_second_order_update",anchor:"diffusers.CosineDPMSolverMultistepScheduler.multistep_dpm_solver_second_order_update",parameters:[{name:"model_output_list",val:": List"},{name:"sample",val:": Tensor = None"},{name:"noise",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.CosineDPMSolverMultistepScheduler.multistep_dpm_solver_second_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.Tensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.CosineDPMSolverMultistepScheduler.multistep_dpm_solver_second_order_update.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_cosine_dpmsolver_multistep.py#L364",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The sample tensor at the previous timestep.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.Tensor</code></p>
`}}),j=new D({props:{name:"scale_model_input",anchor:"diffusers.CosineDPMSolverMultistepScheduler.scale_model_input",parameters:[{name:"sample",val:": Tensor"},{name:"timestep",val:": Union"}],parametersDescription:[{anchor:"diffusers.CosineDPMSolverMultistepScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code>) &#x2014;
The input sample.`,name:"sample"},{anchor:"diffusers.CosineDPMSolverMultistepScheduler.scale_model_input.timestep",description:`<strong>timestep</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_cosine_dpmsolver_multistep.py#L174",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A scaled input sample.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.Tensor</code></p>
`}}),U=new D({props:{name:"set_begin_index",anchor:"diffusers.CosineDPMSolverMultistepScheduler.set_begin_index",parameters:[{name:"begin_index",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.CosineDPMSolverMultistepScheduler.set_begin_index.begin_index",description:`<strong>begin_index</strong> (<code>int</code>) &#x2014;
The begin index for the scheduler.`,name:"begin_index"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_cosine_dpmsolver_multistep.py#L135"}}),W=new D({props:{name:"set_timesteps",anchor:"diffusers.CosineDPMSolverMultistepScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int = None"},{name:"device",val:": Union = None"}],parametersDescription:[{anchor:"diffusers.CosineDPMSolverMultistepScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.CosineDPMSolverMultistepScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_cosine_dpmsolver_multistep.py#L198"}}),B=new D({props:{name:"step",anchor:"diffusers.CosineDPMSolverMultistepScheduler.step",parameters:[{name:"model_output",val:": Tensor"},{name:"timestep",val:": Union"},{name:"sample",val:": Tensor"},{name:"generator",val:" = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.CosineDPMSolverMultistepScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.Tensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.CosineDPMSolverMultistepScheduler.step.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.CosineDPMSolverMultistepScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.CosineDPMSolverMultistepScheduler.step.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"},{anchor:"diffusers.CosineDPMSolverMultistepScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/edm_multistep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_cosine_dpmsolver_multistep.py#L455",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/edm_multistep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><a
  href="/docs/diffusers/main/en/api/schedulers/edm_multistep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),F=new Be({props:{title:"SchedulerOutput",local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",headingTag:"h2"}}),G=new D({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": Tensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_utils.py#L60"}}),Y=new ct({props:{source:"https://github.com/huggingface/diffusers/blob/main/docs/source/en/api/schedulers/cosine_dpm.md"}}),{c(){u=d("meta"),E=r(),b=d("p"),R=r(),p(I.$$.fragment),ae=r(),A=d("p"),A.innerHTML=Fe,ue=r(),H=d("p"),H.innerHTML=Ge,ce=r(),p(z.$$.fragment),pe=r(),n=d("div"),p(N.$$.fragment),Te=r(),J=d("p"),J.innerHTML=Ye,Pe=r(),K=d("p"),K.innerHTML=Re,Ce=r(),Q=d("p"),Q.innerHTML=Je,ye=r(),x=d("div"),p(q.$$.fragment),we=r(),X=d("p"),X.textContent=Ke,Le=r(),p(T.$$.fragment),Oe=r(),P=d("div"),p(V.$$.fragment),Ee=r(),Z=d("p"),Z.textContent=Qe,Ie=r(),C=d("div"),p(k.$$.fragment),Ae=r(),ee=d("p"),ee.textContent=Xe,He=r(),y=d("div"),p(j.$$.fragment),ze=r(),te=d("p"),te.innerHTML=Ze,Ne=r(),w=d("div"),p(U.$$.fragment),qe=r(),se=d("p"),se.textContent=et,Ve=r(),L=d("div"),p(W.$$.fragment),ke=r(),re=d("p"),re.textContent=tt,je=r(),O=d("div"),p(B.$$.fragment),Ue=r(),oe=d("p"),oe.textContent=st,me=r(),p(F.$$.fragment),fe=r(),$=d("div"),p(G.$$.fragment),We=r(),ne=d("p"),ne.innerHTML=rt,he=r(),p(Y.$$.fragment),ge=r(),de=d("p"),this.h()},l(e){const i=at("svelte-u9bgzb",document.head);u=l(i,"META",{name:!0,content:!0}),i.forEach(s),E=o(e),b=l(e,"P",{}),S(b).forEach(s),R=o(e),m(I.$$.fragment,e),ae=o(e),A=l(e,"P",{"data-svelte-h":!0}),v(A)!=="svelte-11dxyny"&&(A.innerHTML=Fe),ue=o(e),H=l(e,"P",{"data-svelte-h":!0}),v(H)!=="svelte-jkqqv0"&&(H.innerHTML=Ge),ce=o(e),m(z.$$.fragment,e),pe=o(e),n=l(e,"DIV",{class:!0});var a=S(n);m(N.$$.fragment,a),Te=o(a),J=l(a,"P",{"data-svelte-h":!0}),v(J)!=="svelte-nl0rsr"&&(J.innerHTML=Ye),Pe=o(a),K=l(a,"P",{"data-svelte-h":!0}),v(K)!=="svelte-7tr4o"&&(K.innerHTML=Re),Ce=o(a),Q=l(a,"P",{"data-svelte-h":!0}),v(Q)!=="svelte-linuuh"&&(Q.innerHTML=Je),ye=o(a),x=l(a,"DIV",{class:!0});var ie=S(x);m(q.$$.fragment,ie),we=o(ie),X=l(ie,"P",{"data-svelte-h":!0}),v(X)!=="svelte-1st02i8"&&(X.textContent=Ke),Le=o(ie),m(T.$$.fragment,ie),ie.forEach(s),Oe=o(a),P=l(a,"DIV",{class:!0});var ve=S(P);m(V.$$.fragment,ve),Ee=o(ve),Z=l(ve,"P",{"data-svelte-h":!0}),v(Z)!=="svelte-4nw43d"&&(Z.textContent=Qe),ve.forEach(s),Ie=o(a),C=l(a,"DIV",{class:!0});var be=S(C);m(k.$$.fragment,be),Ae=o(be),ee=l(be,"P",{"data-svelte-h":!0}),v(ee)!=="svelte-1d6o6zu"&&(ee.textContent=Xe),be.forEach(s),He=o(a),y=l(a,"DIV",{class:!0});var Se=S(y);m(j.$$.fragment,Se),ze=o(Se),te=l(Se,"P",{"data-svelte-h":!0}),v(te)!=="svelte-1hew89w"&&(te.innerHTML=Ze),Se.forEach(s),Ne=o(a),w=l(a,"DIV",{class:!0});var Me=S(w);m(U.$$.fragment,Me),qe=o(Me),se=l(Me,"P",{"data-svelte-h":!0}),v(se)!=="svelte-1k141rk"&&(se.textContent=et),Me.forEach(s),Ve=o(a),L=l(a,"DIV",{class:!0});var xe=S(L);m(W.$$.fragment,xe),ke=o(xe),re=l(xe,"P",{"data-svelte-h":!0}),v(re)!=="svelte-1vzm9q"&&(re.textContent=tt),xe.forEach(s),je=o(a),O=l(a,"DIV",{class:!0});var $e=S(O);m(B.$$.fragment,$e),Ue=o($e),oe=l($e,"P",{"data-svelte-h":!0}),v(oe)!=="svelte-7jbjgx"&&(oe.textContent=st),$e.forEach(s),a.forEach(s),me=o(e),m(F.$$.fragment,e),fe=o(e),$=l(e,"DIV",{class:!0});var De=S($);m(G.$$.fragment,De),We=o(De),ne=l(De,"P",{"data-svelte-h":!0}),v(ne)!=="svelte-6ojmkw"&&(ne.innerHTML=rt),De.forEach(s),he=o(e),m(Y.$$.fragment,e),ge=o(e),de=l(e,"P",{}),S(de).forEach(s),this.h()},h(){M(u,"name","hf:doc:metadata"),M(u,"content",ft),M(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(n,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,i){t(document.head,u),c(e,E,i),c(e,b,i),c(e,R,i),f(I,e,i),c(e,ae,i),c(e,A,i),c(e,ue,i),c(e,H,i),c(e,ce,i),f(z,e,i),c(e,pe,i),c(e,n,i),f(N,n,null),t(n,Te),t(n,J),t(n,Pe),t(n,K),t(n,Ce),t(n,Q),t(n,ye),t(n,x),f(q,x,null),t(x,we),t(x,X),t(x,Le),f(T,x,null),t(n,Oe),t(n,P),f(V,P,null),t(P,Ee),t(P,Z),t(n,Ie),t(n,C),f(k,C,null),t(C,Ae),t(C,ee),t(n,He),t(n,y),f(j,y,null),t(y,ze),t(y,te),t(n,Ne),t(n,w),f(U,w,null),t(w,qe),t(w,se),t(n,Ve),t(n,L),f(W,L,null),t(L,ke),t(L,re),t(n,je),t(n,O),f(B,O,null),t(O,Ue),t(O,oe),c(e,me,i),f(F,e,i),c(e,fe,i),c(e,$,i),f(G,$,null),t($,We),t($,ne),c(e,he,i),f(Y,e,i),c(e,ge,i),c(e,de,i),_e=!0},p(e,[i]){const a={};i&2&&(a.$$scope={dirty:i,ctx:e}),T.$set(a)},i(e){_e||(h(I.$$.fragment,e),h(z.$$.fragment,e),h(N.$$.fragment,e),h(q.$$.fragment,e),h(T.$$.fragment,e),h(V.$$.fragment,e),h(k.$$.fragment,e),h(j.$$.fragment,e),h(U.$$.fragment,e),h(W.$$.fragment,e),h(B.$$.fragment,e),h(F.$$.fragment,e),h(G.$$.fragment,e),h(Y.$$.fragment,e),_e=!0)},o(e){g(I.$$.fragment,e),g(z.$$.fragment,e),g(N.$$.fragment,e),g(q.$$.fragment,e),g(T.$$.fragment,e),g(V.$$.fragment,e),g(k.$$.fragment,e),g(j.$$.fragment,e),g(U.$$.fragment,e),g(W.$$.fragment,e),g(B.$$.fragment,e),g(F.$$.fragment,e),g(G.$$.fragment,e),g(Y.$$.fragment,e),_e=!1},d(e){e&&(s(E),s(b),s(R),s(ae),s(A),s(ue),s(H),s(ce),s(pe),s(n),s(me),s(fe),s($),s(he),s(ge),s(de)),s(u),_(I,e),_(z,e),_(N),_(q),_(T),_(V),_(k),_(j),_(U),_(W),_(B),_(F,e),_(G),_(Y,e)}}}const ft='{"title":"CosineDPMSolverMultistepScheduler","local":"cosinedpmsolvermultistepscheduler","sections":[{"title":"CosineDPMSolverMultistepScheduler","local":"diffusers.CosineDPMSolverMultistepScheduler","sections":[],"depth":2},{"title":"SchedulerOutput","local":"diffusers.schedulers.scheduling_utils.SchedulerOutput","sections":[],"depth":2}],"depth":1}';function ht(le){return nt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Mt extends dt{constructor(u){super(),lt(this,u,ht,mt,ot,{})}}export{Mt as component};
